package com.gyee.frame.model.auto;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 *  Gyeepermission 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-16 14:55:15
 */
 @ApiModel(value="Gyeepermission", description="")
public class Gyeepermission implements Serializable {

	private static final long serialVersionUID = 1L;
	
		
	/**  **/
	@ApiModelProperty(value = "") 
private String id;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String permisssionlevel;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String permisssionname;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String describes;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String remark1;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String remark2;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String parent;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String isable;
		
		
	public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
	 
			
	public String getPermisssionlevel() {
        return permisssionlevel;
    }

    public void setPermisssionlevel(String permisssionlevel) {
        this.permisssionlevel = permisssionlevel;
    }
	 
			
	public String getPermisssionname() {
        return permisssionname;
    }

    public void setPermisssionname(String permisssionname) {
        this.permisssionname = permisssionname;
    }
	 
			
	public String getDescribes() {
        return describes;
    }

    public void setDescribes(String describes) {
        this.describes = describes;
    }
	 
			
	public String getRemark1() {
        return remark1;
    }

    public void setRemark1(String remark1) {
        this.remark1 = remark1;
    }
	 
			
	public String getRemark2() {
        return remark2;
    }

    public void setRemark2(String remark2) {
        this.remark2 = remark2;
    }
	 
			
	public String getParent() {
        return parent;
    }

    public void setParent(String parent) {
        this.parent = parent;
    }
	 
			
	public String getIsable() {
        return isable;
    }

    public void setIsable(String isable) {
        this.isable = isable;
    }
	 
			
	public Gyeepermission() {
        super();
    }
    
																																										
	public Gyeepermission(String id,String permisssionlevel,String permisssionname,String describes,String remark1,String remark2,String parent,String isable) {
	
		this.id = id;
		this.permisssionlevel = permisssionlevel;
		this.permisssionname = permisssionname;
		this.describes = describes;
		this.remark1 = remark1;
		this.remark2 = remark2;
		this.parent = parent;
		this.isable = isable;
		
	}
	
}